﻿using UnityEngine;
using System.Collections.Generic;
using Battlehub.RTCommon;
using MVR.FileManagementSecure;
using System.Security.Cryptography;
using System;
using System.Text;
using UnityEngine.UI;

namespace SV.GPP
{

    public class GameParameterPro : MVRScript
    {

        private JSONStorableFloat timescale;
        private JSONStorableFloat gravityX;
        private JSONStorableFloat gravityY;
        private JSONStorableFloat gravityZ;

        public override void Init()
        {
            Location.InitTData();
            Utils.InitUI(CreateUIElement);

            Utils.CreateInfoTextNoScroll(this, Location.GetStr(Location.GravitySubtitle), 35, false);

            gravityX = Utils.CreateSliderFloatWithRange(this, Location.GetStr(Location.GravityX),0f, -15, 15, false, true);
            gravityX.setCallbackFunction = (val) => {
                Physics.gravity = new Vector3(val, Physics.gravity.y, Physics.gravity.z);
            };

            gravityY = Utils.CreateSliderFloatWithRange(this, Location.GetStr(Location.GravityY), -9.8f, -15, 15, false, true);
            gravityY.setCallbackFunction = (val) => {
                Physics.gravity = new Vector3(Physics.gravity.x, val, Physics.gravity.z);
            };

            gravityZ = Utils.CreateSliderFloatWithRange(this, Location.GetStr(Location.GravityZ), 0, -15, 15, false, true);
            gravityZ.setCallbackFunction = (val) => {
                Physics.gravity = new Vector3(Physics.gravity.x, Physics.gravity.y,val);
            };

            Utils.CreateInfoTextNoScroll(this, Location.GetStr(Location.TimeSubtitle), 35, false);

            timescale = Utils.CreateSliderFloatWithRange(this, Location.GetStr(Location.Timescale), 1, 0, 5, false, true);
            timescale.setCallbackFunction = (val) => {
                Time.timeScale = val;
            };

            gravityX.setCallbackFunction(gravityX.val);
            gravityY.setCallbackFunction(gravityY.val);
            gravityZ.setCallbackFunction(gravityZ.val);
            timescale.setCallbackFunction(timescale.val);
        }

        private void OnDestroy()
        {
            Utils.DestroyUI();
        }
    }
}
