﻿using UnityEngine;
using System.Collections.Generic;
using System.Text;

namespace SV.GPP
{

    public class Location
    {
        // 键
        // Plugininfo
        public const string PluginInfo = "PluginInfo";

        public const string OpenMainPage = "OpenMainPage";
        public const string GravitySubtitle = "PhysicsSubtitle";
        public const string TimeSubtitle = "TimeSubtitle";
        public const string GravityX = "GravityX";
        public const string GravityY = "GravityY";
        public const string GravityZ = "GravityZ";
        public const string Timescale = "Timescale";

        public static Dictionary<string, string> den = new Dictionary<string, string>();
        public static Dictionary<string, string> dzh = new Dictionary<string, string>();

        public static void InitTData()
        {
            // 中文环境进行的编辑
            dic_en.Keys.ToList().ForEach(enkey => {

                string envalue = dic_en[enkey];
                if (!dzh.ContainsKey(envalue))
                {
                    dzh.Add(envalue, dic_zhcn[enkey]);
                    den.Add(envalue, envalue);
                    //Debug.Log(dic_en[enkey]);
                }
            });
        }

        // 获取UI文本
        public static string GetText(string key)
        {
            //Debug.Log("key: " + key);
            if (IsChinease)
            {
                if (dzh.ContainsKey(key))
                    return dzh[key];
            }
            else
            {
                if (den.ContainsKey(key))
                    return den[key];
            }

            Debug.Log("key not exist");
            return "key not exist";
        }

        // 数据
        private static Dictionary<string, string> dic_zhcn = new Dictionary<string, string> {

        {PluginInfo, "<size=40><b>引擎参数</b></size>\n"  },

         {OpenMainPage, "获取更多❤" },
        {GravitySubtitle, "<size=30><b>重力</b></size>" },
        {TimeSubtitle, "<size=30><b>时间</b></size>" },
        {GravityX, "重力X" },
        {GravityY, "重力Y" },
        {GravityZ, "重力Z" },
        {Timescale, "时间缩放" }

    };

        private static Dictionary<string, string> dic_en = new Dictionary<string, string>
    {
        {PluginInfo, "<size=40><b>Game Parameter</b></size>\n"  },

        {OpenMainPage, "Get more......❤" },
        {GravitySubtitle, "<size=30><b>Gravity</b></size>" },
        {TimeSubtitle, "<size=30><b>Time</b></size>" },
        {GravityX, "Gravity X" },
        {GravityY, "Gravity Y" },
        {GravityZ, "Gravity Z" },
        {Timescale, "时间缩放" }

    };

        public static string r(string s)
        {
            StringBuilder b = new StringBuilder();
            char[] arr = s.ToCharArray();
            for (int i = arr.Length - 1; i >= 0; i--)
            {
                b.Append(arr[i]);
            }
            //Debug.Log(b.ToString());
            return b.ToString();
        }

        public static bool IsChinease
        {
            get
            {
                return Application.systemLanguage == SystemLanguage.Chinese && !forceEnglish;
            }
        }

        static bool forceEnglish = false;
        public static string GetStr(string key)
        {
            if (dic_en.ContainsKey(key))
            {
                return dic_en[key];
            }
            SuperController.LogError("Not Exist Key: " + key);

            return "no exitst key";
        }
    }
}
